
QGIS Application - Bug report #16785

Constraint prevent adding feature to spatialite layer with auto-increment pkey 

2017-07-04 07:26 AM - Denis Rouzaud

Status: Closed

Priority: High

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24684

Description

1. Create a spatialite layer with an auto-incrementing primary key

2. Turn editing on

3. Add feature

=> the pkuid field is invalid with a NULL value but you cannot edit it.

History

#1 - 2017-07-04 07:27 AM - Denis Rouzaud

https://issues.qgis.org/attachments/download/11133/Screenshot%20from%202017-07-04%2007-22-25.png

#2 - 2017-07-05 12:14 PM - Darek Bobak

- File 1.PNG added

- File 2.PNG added

It is possible to add pkuid manualy (QGIS master on Windows 10). But, QGIS does not add it automatically, which is definitely undesirable behaviour

#3 - 2017-07-05 12:18 PM - Denis Rouzaud

On my side, I can't validate the form, see the attached screenshot (apply is disabled).

#4 - 2017-07-05 12:37 PM - Darek Bobak

- File field_properties.png added

Did you try to manually write something in the pkuid field? And check, if the field properties allow edition of the field (see attached image).

In the meantime, I've found the way to make QGIS automatically fill that field with increment value. You have to insert and expression:

$id

in the "Default value" field in the properties of the field.

field_properties.png

2025-04-27 1/2



#5 - 2017-07-05 12:42 PM - Denis Rouzaud

nope, but if it's the solution, it should be done automatically!

#6 - 2017-07-05 12:42 PM - Darek Bobak

I agree.

#7 - 2017-07-05 01:15 PM - Giovanni Manghi

- Status changed from Open to Feedback

does this affect only master/qgis3, correct?

#8 - 2017-07-05 03:06 PM - Denis Rouzaud

Yes Master. 

But why feedback? For me it's a serious blocker.

#9 - 2017-07-05 04:20 PM - Giovanni Manghi

- Status changed from Feedback to Open

Denis Rouzaud wrote:

Yes Master. 

But why feedback? For me it's a serious blocker.

the status does not indicates the seriousness: feedback just means that the ticket is open and a question awaiting an answer has been posted.

Seriousness is give by the priority field, and by the "regression" field.

#10 - 2017-12-29 08:03 PM - Denis Rouzaud

- Status changed from Open to Closed

fixed in 73674e8157925df6979485cf36804c6e252d03a1

#11 - 2018-02-22 11:21 AM - Giovanni Manghi

- Resolution set to fixed/implemented
